#pragma once

#include "schneide_base/Vocabulary.hpp"
#include "vera_base/Interactor.hpp"
#include "vera_base/Spectrum.hpp"

namespace vera
{
class FTIR
{
public:
  FTIR();
  virtual ~FTIR();

  virtual void prepare(Interactor& interactor) {}
  virtual Ptr<vera::Spectrum> scan(Interactor& interactor) = 0;

private:
};

}  // namespace vera
